#!/usr/bin/python

from Tkinter import *
from random import randint
from time import sleep
from sys import exit

class Gui (Frame):
	
	def randomimage(self):
 		self.filename='%s%s' % (self.dir, self.list[randint(0, len(self.list)-1)])
 		print "Showing %s" % self.filename
 		self.photo=PhotoImage (file=self.filename)
 		self.canv.create_image (10, 10, anchor=NW, image=self.photo)
	
	def orderedimage(self):
		print "Next is %d: " % self.next,
		self.filename='%s%s' % (self.dir, self.list[self.next])
		print "Showing %s." % self.filename
		self.photo=PhotoImage (file=self.filename)
		self.canv.create_image (10, 10, anchor=NW, image=self.photo)
		if self.next == self.last:
			return 0
		self.next+=1
	
	def createWidgets(self):
		self.canv = Canvas(self)
		self.canv["width"] = 660
		self.canv["height"] = 580
		self.canv.pack()

		self.QUIT = Button(self)
		self.QUIT["text"] = "QUIT"
		self.QUIT["fg"]   = "red"
		self.QUIT["command"] =  self.quit
		self.QUIT.pack({"side": "left"})

		self.DISPLAY = Label(self)
		if self.readwrite == "write":
			self.DISPLAY["text"] = "Schreibmodus. Gespiegelte Anzeige!"
			self.DISPLAY["fg"] = "red"
		elif self.readwrite == "read":
			self.DISPLAY["text"] = "Lesemodus. Normale Anzeige!"
			self.DISPLAY["fg"] = "green"
		self.DISPLAY.pack({"side": "right"})

		if self.mode == "loop":
			return 0
	
		self.next_image = Button (self)
		self.next_image["text"] = "Next"
		if self.mode == "ordered":
			self.next_image["command"] = self.orderedimage
		elif self.mode == "random":
			self.next_image["command"] = self.randomimage
		self.next_image.pack({"side": "left"})


	def __init__(self, list, dir, mode, readwrite, master=None):
		self.next=0
		self.list=list
		self.last=len(self.list)-1
		self.dir=dir
		self.mode=mode
		self.readwrite=readwrite
		Frame.__init__(self, master)
		self.pack()
		self.createWidgets()
		if self.mode == "ordered":
			self.orderedimage()
		elif self.mode == "auto":
			print "Sorry, not implemented yet."
			exit(0)
### 			for n in range (0, 10):
### 				sleep(3)
### 				self.randomimage()
		elif self.mode == "random":
			self.randomimage()
		else:
			print "Unknown mode %s." % self.mode
			exit(1)


# 		if auto:
# 			for n in range (0, number):
# 				self.randomimage()
# 				sleep(interval)


