#!/usr/bin/python

import os
from random import randint
from sys import exit
from time import sleep
from optparse import OptionParser
from gui import Gui

version="0.9.1"
parser = OptionParser ()

parser.add_option ('-m', '--markiert', dest='mark', action='store_const', const="yes", default="no")
parser.add_option ('-l', '--lesen', dest='readwrite', action='store_const', const="read", default="read")
parser.add_option ('-s', '--schreiben', dest='readwrite', action='store_const', const="write", default="read")
parser.add_option ('-o', '--ordered', dest='mode', action='store_const', const="ordered", default="ordered")
parser.add_option ('-r', '--random', dest='mode', action='store_const', const="random", default="ordered")
parser.add_option ('-a', '--loop', dest='mode', action='store_const', const="auto", default="ordered")

options, args = parser.parse_args ()
list = [
	'a.gif',
	'b.gif',
	'c.gif',
	'd.gif',
	'e.gif',
	'f.gif',
	'g.gif',
	'h.gif',
	'i.gif',
	'j.gif',
	'k.gif',
	'l.gif',
	'm.gif',
	'n.gif',
	'o.gif',
	'p.gif',
	'q.gif',
	'r.gif',
	's.gif',
	't.gif',
	'u.gif',
	'v.gif',
	'w.gif',
	'x.gif',
	'y.gif',
	'z.gif',
	'_error.gif'
]

print "ueben.py: Version %s. Options: readwrite: %s, mode: %s, mark: %s" % (version, options.readwrite, options.mode, options.mark)

if options.readwrite == "read":
	dir='normal'
elif options.readwrite == "write":
	dir='gespiegelt'

if options.mark == "yes":
	dir='%s-markiert/' % dir
elif options.mark == "no":
	if options.readwrite == "write":
		print "Sorry, not implemented yet."
		exit(0)
	dir='%s/' % dir

app = Gui (list, dir, options.mode, options.readwrite)
app.mainloop ()
exit (0)
# obsolete
for n in range (0, options.number):
	i = randint (0, len (list)-1)
	file = '%s/%s' % (dir, list[i])
	pid = os.spawnlp (os.P_NOWAITO, 'display', 'display', file)
	# print 'spawned process with pid %d' % pid
	sleep (options.interval)
	os.kill (pid, 9)
	print '%d: %s' % (n+1, list[i])
